¿Se puede limitar el numero de versiones?

cancel
Showing results for 
Search instead for 
Did you mean: 
Member II

¿Se puede limitar el numero de versiones?

Hola a todos, en la empresa en donde estamos implementando Alfresco Community 4.2.c por cuestiones de espacio en el disco duro quieren limitar el numero de versiones que puede tener un documento, por decirlo así a 10 versiones como máximo.

Mi pregunta es ¿Como se puede hacer eso de ser posible?

Cualquier ayuda es bienvenida y gracias de antemano.
4 Replies
Highlighted
Alfresco Employee

Re: ¿Se puede limitar el numero de versiones?

Creo que este AMP es compatible con tu versión: https://github.com/jottley/alfresco-maxversion-policy
Software Engineer in Alfresco Search Team.
Highlighted
Member II

Re: ¿Se puede limitar el numero de versiones?

Primero coloque el archivo max-version-policy-0.0.6.amp dentro de los directorios /opt/alfresco-4.2.c/amps y /opt/alfresco-4.2.c/amps_share.
Luego detuve Alfresco y luego instale el amps usando el script apply_amps.sh que se encuentra dentro del directorio /opt/alfresco-4.2.c/bin.

Probe colocando en el archivo alfresco-global.properties que se encuentra en /opt/alfresco-4.2.c/tomcat/shared/classes, el texto siguiente y no funciono

maxVersions=5

Pero por ahí lei que era lo siguiente:
# number of minor versions to be kept or 0 to keep all
maxVersionPolicy.maxMinorVersions=5
# if not zero will be kept intermediate minor versions wich are multiple of the specified value (should be lesser than maxMinorVersions) or 0 to disable
#   eg. if we have versions from 1.0 to 1.4 (with maxMinorVersions=5 and keepIntermediateMinorVersions=5) and we create vesion 1.5, 1.1 will be deleted instead of 1.0
maxVersionPolicy.keepIntermediateMinorVersions=5
# number of major versions to be kept or 0 to keep all
maxVersionPolicy.maxMajorVersions=5
# like keepIntermediateMinorVersions but for major ones
maxVersionPolicy.keepIntermediateMajorVersions=5

De cualquier manera sigue colocando más de 5 versiones. ¿Alguna ayuda de lo que estoy haciendo mal?.
Gracias de antemano
Highlighted
Alfresco Employee

Re: ¿Se puede limitar el numero de versiones?

Es un artefacto de repo, así que solo tienes que colocarlo en /opt/alfresco-4.2.c/amps, debes desinstalarlo de share.war

Las propiedades tienes que colocarlas en /opt/alfresco-4.2.c/tomcat/shared/classes/alfresco-global.properties, añadiendo una entrada al final del archivo
Software Engineer in Alfresco Search Team.
Highlighted
Member II

Re: ¿Se puede limitar el numero de versiones?

Gracias, probe la versión 0.0.7 y agregue al archivo /opt/alfresco-4.2.c/tomcat/shared/classes/alfresco-global.properties la entrada siguiente maxVersions=5
Y funciona tal como lo necesitaba